Name:          telepathy-qt
Version:       0.9.3
Release:       %mkrel 6
Summary:       Qt4 high-level bindings for Telepathy
License:       LGPLv2+
Group:         Networking/Instant messaging
Url:           http://telepathy.freedesktop.org/wiki/Telepathy-Qt4
Source0:       http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
Patch0:        telepathy-qt-0.9.3-fix-link.patch
Patch1:        telepathy-qt-0.9.3-cmake.patch
BuildRequires: pkgconfig(telepathy-farstream) < 0.4.9
BuildRequires: pkgconfig(telepathy-glib)
BuildRequires: pkgconfig(gstreamer-interfaces-0.10)
BuildRequires: python
BuildRequires: python-dbus
BuildRequires: cmake
BuildRequires: doxygen
BuildRequires: qt4-devel
BuildRequires: qt4-assistant
BuildRequires: libxml2-utils

%description

Qt4 bindings for Telepathy.

#--------------------------------------------------------------------

%define libtelepathy_qt4_farstream_major 2
%define libtelepathy_qt4_farstream %mklibname telepathy-qt4-farstream %{libtelepathy_qt4_farstream_major}

%package -n %libtelepathy_qt4_farstream
Summary: Telepathy Qt Farstream runtime library
Group: System/Libraries
Obsoletes: %{_lib}telepathy-qt4-farsight2 < 0.9.1

%description -n %libtelepathy_qt4_farstream
Telepathy Qt Farstream runtime library.

%files -n %libtelepathy_qt4_farstream
%{_libdir}/libtelepathy-qt4-farstream.so.%{libtelepathy_qt4_farstream_major}*

#--------------------------------------------------------------------

%define libtelepathy_qt4_major 2
%define libtelepathy_qt4 %mklibname telepathy-qt4_ %{libtelepathy_qt4_major}

%package -n %libtelepathy_qt4
Summary: Telepathy Qt runtime library
Group: System/Libraries

%description -n %libtelepathy_qt4
Telepathy Qt runtime library.

%files -n %libtelepathy_qt4
%{_libdir}/libtelepathy-qt4.so.%{libtelepathy_qt4_major}*

#--------------------------------------------------------------------

%define olddevelname %mklibname telepathy-qt4 -d
%define develname %mklibname telepathy-qt -d

%package -n %{develname}
Summary: %{name} development files
Group: Development/Other
Obsoletes: %olddevelname < 0.9.0
Provides: lib%{name}-devel = %{version}
Provides: %name-devel = %{version}
Requires: %libtelepathy_qt4 = %{version}
Requires: %libtelepathy_qt4_farstream = %{version}
Requires: pkgconfig(telepathy-farstream) < 0.4.9

%description -n %{develname}
Telepathy Qt development files.

%files -n %{develname}
%doc AUTHORS ChangeLog COPYING HACKING NEWS README
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_libdir}/cmake/TelepathyQt4
%{_libdir}/cmake/TelepathyQt4Farstream/

#--------------------------------------------------------------------

%prep
%setup -q 
%apply_patches

%build
%cmake
%make

%install
%makeinstall_std -C build



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.9.3-6.mga4
+ Revision: 545956
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 fwang <fwang> 0.9.3-5.mga4
+ Revision: 502038
- bump rel
- fix build with newer cmake

* Mon Jul 01 2013 dams <dams> 0.9.3-4.mga4
+ Revision: 449384
- rebuild for old telepathy-farstream 0.4.x

* Mon Jan 14 2013 umeabot <umeabot> 0.9.3-3.mga3
+ Revision: 384320
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 0.9.3-2.mga3
+ Revision: 333321
- force use lower version of telepathy-farstream

* Sat Jul 14 2012 neoclust <neoclust> 0.9.3-1.mga3
+ Revision: 270786
- New version 0.9.3
  Rediff link patch

* Mon Apr 16 2012 wally <wally> 0.9.1-1.mga2
+ Revision: 231080
- drop support for obsolete farsight
- add missing BR qt4-devel

  + mikala <mikala>
    - Update tarball to 0.9.1
    - Rediff patch1 to ensure linking for farstream/farsight/tests

* Wed Jan 25 2012 mikala <mikala> 0.9.0-1.mga2
+ Revision: 200718
- Update tarball to 0.9.0
- Update description & Summary
- Add missing buildrequires (qt4-assistant & libxml2-utils)
- Rediff patch0 to fix link
- Rename telepathy-qt4 to telepathy-qt

* Sun Nov 27 2011 mikala <mikala> 0.8.0-1.mga2
+ Revision: 173186
- Update tarball to 0.8.0
- remove %%defattr() & %%clean section

  + fwang <fwang>
    - fix linkage
    - fix linkage
    - new version 0.7.2

* Thu Jun 23 2011 dmorgan <dmorgan> 0.7.1-1.mga2
+ Revision: 112838
- Fix buildrequires
- New version 0.7.1

* Tue Apr 19 2011 dmorgan <dmorgan> 0.5.14-3.mga1
+ Revision: 88805
- Add %%name-devel as provide

* Mon Apr 18 2011 ahmad <ahmad> 0.5.14-2.mga1
+ Revision: 87559
- Fix License
- Add BR python-dbus
- Add patch to fix linking (and drop building with _disable_ld_no_undefined)
- Libify the devel package

* Fri Apr 08 2011 dmorgan <dmorgan> 0.5.14-1.mga1
+ Revision: 82081
- Add cmake as buildrequires
- imported package telepathy-qt4

